Package org.apache.sling.scriptingbundle.plugin.capability

## Class RequiredResourceTypeCapability

- java.lang.Object
- - org.apache.sling.scriptingbundle.plugin.capability.RequiredResourceTypeCapability

    public class RequiredResourceTypeCapability
    extends Object

### Nested Class Summary

Nested Classes
`static class` `RequiredResourceTypeCapability.Builder`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static RequiredResourceTypeCapability.Builder` `builder()`
`boolean` `equals​(Object obj)`
`@NotNull String` `getResourceType()`
`@Nullable org.osgi.framework.VersionRange` `getVersionRange()`
`int` `hashCode()`
`boolean` `isOptional()`
`boolean` `isSatisfied​(@NotNull ProvidedResourceTypeCapability providedResourceTypeCapability)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### builder

    public static RequiredResourceTypeCapability.Builder builder()

#### getResourceType

    @NotNull
    public @NotNull String getResourceType()

#### getVersionRange

    @Nullable
    public @Nullable org.osgi.framework.VersionRange getVersionRange()

#### isOptional

    public boolean isOptional()

#### isSatisfied

    public boolean isSatisfied​(@NotNull
                               @NotNull ProvidedResourceTypeCapability providedResourceTypeCapability)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`